# Отчёт по лабораторной работе №1

Выполнила: студентка гр. ИСЭбд-41 Закирова Амина.

## Разворачивание сервера gitea

Содержимое файла `docker-compose.yml`:

```yaml
version: "3"

networks:
  gitea:
    external: false
# Контейнер 
services: # Описание служб
  server:
    image: gitea/gitea:1.20.4 # Образ gitea
    container_name: gitea # Наименование контейнера
    environment: # Параметры
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=mysql
      - GITEA__database__HOST=db:3306
      - GITEA__database__NAME=gitea
      - GITEA__database__USER=gitea
      - GITEA__database__PASSWD=gitea
    restart: always
    networks: # Параметры сети
      - gitea
    volumes: # Каталоги для хранения данных контейнера
      - ./gitea:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports: # Порт локальный и внутри сети
      - "3000:3000"
      - "222:22"
    depends_on:
      - db
# База данных
  db:
    image: mysql:8 # Образ БД и версия
    restart: always # Параметр перезапуска
    environment: # Подключение каталога с бд
      - MYSQL_ROOT_PASSWORD=gitea
      - MYSQL_USER=gitea
      - MYSQL_PASSWORD=gitea
      - MYSQL_DATABASE=gitea
    networks: # Параметры сети
      - gitea
    volumes: # Том для хранения данных БД
      - ./mysql:/var/lib/mysql
```

Разворачивается командой `docker-compose up`.

Убеждаемся, что всё работает:

![](gitea.png)

Удаляется всё командой `docker-compose down` или `docker-compose down -v` или напрямую в приложении Docker desktop.

## Разворачивание сервера Redmine

Содержимое файла `docker-compose.yml`:

```yaml
version: '3.1'

services:
# Контейнер
  redmine:
    image: redmine # Образ контейнера
    restart: always
    ports: # Порт
      - 8080:3000
    environment: # Параметры
      REDMINE_DB_MYSQL: db
      REDMINE_DB_PASSWORD: example
      REDMINE_SECRET_KEY_BASE: supersecretkey
# База данных
  db:
    image: mysql:5.7 # Образ БД и ее версия
    restart: always
    environment: # Подключение каталога с бд
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: redmine
```

Разворачивается командой `docker-compose up`.

Убеждаемся, что всё работает:

![](redmine.png)

Создали и подтвердили пользователя:
![](redmine2.png)

Удаляется всё командой `docker-compose down` или `docker-compose down -v` или напрямую в приложении Docker desktop.

## Разворачивание сервера drupal

Содержимое файла `docker-compose.yml`:

```yaml
version: '3.1'

services:
# Контейнер
  drupal:
    image: drupal:8-apache
    ports: # Порт
      - 8800:80
    volumes: # Тома
      - /var/www/html/modules
      - /var/www/html/profiles
      - /var/www/html/themes
      - /var/www/html/sites
    restart: always
# База данных
  postgres:
    image: postgres:10
    environment: # Подключение каталога с бд
      POSTGRES_PASSWORD: example
    restart: always
```

Разворачивается командой `docker-compose up`.

Убеждаемся, что всё работает:

![](drupal.png)

Удаляется всё командой `docker-compose down` или `docker-compose down -v` или напрямую в приложении Docker desktop.
